Create Language
POST /api/creative/conlang/languages
POST
/api/creative/conlang/languages
Create a new constructed language.
Request Body required
Section titled “Request Body required ” ConlangLanguageCreate
Request to create a new constructed language.
object
name
required
Name
string
description
Description
string
status
ConlangStatus
string
writingSystemType
Any of:
WritingSystemType
string
null
writingSystemDescription
Writingsystemdescription
string
writingSystemDirection
WritingDirection
string
wordOrder
WordOrder
string
morphologyType
MorphologyType
string
phonotacticTemplate
Phonotactictemplate
string
notes
Notes
string
Responses
Section titled “ Responses ”Successful Response
ConlangLanguageResponse
Full language record for API responses.
object
id
required
Id
string
projectId
required
Projectid
string
name
required
Name
string
description
Description
string
status
Status
string
writingSystemDescription
Writingsystemdescription
string
writingSystemDirection
Writingsystemdirection
string
wordOrder
Wordorder
string
morphologyType
Morphologytype
string
phonotacticTemplate
Phonotactictemplate
string
notes
Notes
string
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context